For the complete documentation index, see llms.txt. This page is also available as Markdown.

Getting Whitelisted IPs List

Retrieve whitelisted IPs list via API for Enterprise Dedicated Datacenter Proxies. Get all currently authorized IPs and their unique identifiers.

GET https://api.oxylabs.io/v1/whitelisted_ips

Response
Description

200

Success. Response body contains all currently whitelisted IPs and their ids.

Code example

curl -u username:password "https://api.oxylabs.io/v1/whitelisted_ips"
<?php
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "https://api.oxylabs.io/v1/whitelisted_ips");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl, CURLOPT_USERPWD, 'username:password');

$result = curl_exec($curl);
?>
import requests
requests.get('https://api.oxylabs.io/v1/whitelisted_ips', auth=('username', 'password'))

Sample output

{
    "data": [
        {
            "id": 9765,
            "address": "127.0.0.1"
        },
        {
            "id": 9766,
            "address": "127.0.0.2"
        }
    ]
}

Last updated

Was this helpful?